# Class BrightcoveVideoTextTrack

#####
Index

### Constructors

constructor

### Properties

default
id
kind
label
language
mimeType
sources
src

### Methods

getSource

## Constructors

### constructor

- new BrightcoveVideoTextTrack(textTrackDto): BrightcoveVideoTextTrack

- #### Parameters

  - textTrackDto: VideoTextTrackDto

  #### Returns BrightcoveVideoTextTrack

## Properties

### `Readonly` default

default: boolean

### `Readonly` id

id: string

### `Readonly` kind

kind: string

### `Readonly` label

label: string

### `Readonly` language

language: string

### `Readonly` mimeType

mimeType: string

### `Readonly` sources

sources: string[]

### `Readonly` src

src: string

## Methods

### getSource

- getSource(capabilities): string

- #### Parameters

  - capabilities: CapabilitiesProbeResult

  #### Returns string